Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 631294 (CVE-2017-14502, CVE-2017-14503) - <app-arch/libarchive-3.3.3: out-of-bounds read in archive_read_format_rar_read_header
Summary: <app-arch/libarchive-3.3.3: out-of-bounds read in archive_read_format_rar_rea...
Status: RESOLVED FIXED
Alias: CVE-2017-14502, CVE-2017-14503
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://bugs.chromium.org/p/oss-fuzz/...
Whiteboard: A4 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-18 02:07 UTC by D'juan McDonald (domhnall)
Modified: 2019-08-15 15:50 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description D'juan McDonald (domhnall) 2017-09-18 02:07:38 UTC
from {URL}:

read_header in archive_read_support_format_rar.c in libarchive 3.3.2 suffers from an off-by-one error for UTF-16 names in RAR archives, leading to an out-of-bounds read in archive_read_format_rar_read_header.

Patch:(https://github.com/libarchive/libarchive/commit/5562545b5562f6d12a4ef991fae158bf4ccf92b6)

Additional Source:(https://bugs.debian.org/875974)

CVE Details:(https://nvd.nist.gov/vuln/detail/CVE-2017-14502)

@maintainer(s), after bump, please call for stabilization if needed, thank you.

Daj Uan (jmbailey)
Gentoo Security Padawan
Comment 1 D'juan McDonald (domhnall) 2017-09-18 02:25:18 UTC
https://nvd.nist.gov/vuln/detail/CVE-2017-14503

libarchive 3.3.2 suffers from an out-of-bounds read within lha_read_data_none() in archive_read_support_format_lha.c when extracting a specially crafted lha archive, related to lha_crc16.

https://bugs.debian.org/875960
https://github.com/libarchive/libarchive/issues/948

@maintainer(s), no patch yet for CVE-2017-14503.
Comment 2 D'juan McDonald (domhnall) 2018-06-22 08:45:23 UTC
Update:

libarchive issues go in the opposite order as issues and as CVEs…

CVE-2017-14503 is libarchive/libarchive#948 and CVE-2017-14501 is libarchive/libarchive#949

Both are found with AFL, both originally reported to Debian, apparently neither Debian nor the upstream has any patches or specific ideas about causes.


(https://nvd.nist.gov/vuln/detail/CVE-2017-14501):

An out-of-bounds read flaw exists in parse_file_info in archive_read_support_format_iso9660.c in libarchive 3.3.2 when extracting a specially crafted iso9660 iso file, related to archive_read_format_iso9660_read_header.

Reference: https://github.com/NixOS/nixpkgs/issues/33826
Comment 3 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-08-10 17:04:14 UTC
both fixes are in 3.3.3.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2019-08-15 15:50:44 UTC
This issue was resolved and addressed in
 GLSA 201908-11 at https://security.gentoo.org/glsa/201908-11
by GLSA coordinator Aaron Bauman (b-man).